Create Merchant Configs - Order Preferences

Use these endpoints to set Configs related to Order Preferences

👍

This endpoint uses API Key Authentication

Check out our API Key Authentication Section section to learn more

API Endpoint

Staging: POST https://merchants.staging.skipify.com/merchants/{merchantId}/configs

Production: POST https://merchants.skipify.com/merchants/{merchantId}/configs

Create No Shipping Required Config

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringNO_SHIPPING_REQUIRED
enabledyesbooleantrue
valueyesbooleantrue

Request Body Example

{
  "name": "NO_SHIPPING_REQUIRED",
  "enabled": true,
  "value": true
}

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe name of the configuration
valuebooleantrue
typestringThe Type of configuration if applicable
configIdstringThe ID of this configuration
merchantIdstringThe Skipify Merchant identifier
createdAtstring, dateTimeThe date/time this configuration was created
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Response Body Example

{
  "enabled": true,
  "name": "NO_SHIPPING_REQUIRED",
  "value": true,
  "type": "order",
  "configId": "d710423e-dc98-4f78-8e98-ba8780faab77",
  "merchantId": "215b4518-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:04:20.595Z",
  "updatedAt": "2024-06-10T20:04:20.595Z"
}

Create Tipping Percentages Config

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringTIPPING_PERCENTAGES
enabledyesbooleantrue
valueyesobjectAn object describing the TIPPING_PERCENTAGES

Note* - This Configuration is only applicable to merchants that accept tips/gratuities in service-based establishments.

Request Body Example

{
  "name": "TIPPING_PERCENTAGES",
  "enabled": true,
  "value": [
    18,
    20,
    25
  ]
}

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valueobjectAn object of values for the tips
typestring, nullableThe Type of configuration
configIdstringThe ID of this configuration
merchantIdstringThe Skipify Merchant Identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Response Body Example

{
  "enabled": true,
  "name": "TIPPING_PERCENTAGES",
  "value": [
    18,
    20,
    25
  ],
  "type": "order",
  "configId": "530d1a01-6f7d-4399-b080-ac381ea1f0cf",
  "merchantId": "264b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:07:44.359Z",
  "updatedAt": "2024-06-10T20:07:44.359Z"
}

Create General Fee Config

The General Fee Configuration allows you to set a Flat $ amount or Percentage % fee to be applied to all orders, shown to the shopper and added to the order total for payment processing.

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringGENERAL_FEE
enabledyesbooleantrue
valueyesobjectAn object describing the GENERAL_FEE
value.valueyesintegerThe value of the general fee according to the value.style
value.styleyesstringenums ('PERCENTAGE', 'FLAT')
value.descriptionyesstringThe description of the fee that will appear to the shopper during checkout

Request Body Example

{
  "name": "GENERAL_FEE",
  "enabled": true,
  "value": {
    "description": "string",
    "value": 3,
    "style": "PERCENTAGE"
  }
}

Response Body

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valueobjectAn object of values for the GENERAL_FEE
typestringThe Type of configuration if applicable i.e.
configIdstringThe ID of this configuration
merchantIdstringThe Skipify Merchant Identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Response Body Example

{
  "enabled": true,
  "name": "GENERAL_FEE",
  "value": {
    "style": "PERCENTAGE",
    "value": 3,
    "description": "Cleaning Fee"
  },
  "type": "order",
  "configId": "bd8ec59a-fa7f-41c0-b72e-167c2f63d51f",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2025-01-10T20:15:56.564Z",
  "updatedAt": "2025-01-10T20:15:56.564Z"
}

Create Surcharge Fee Config

Skipify supports 2 surcharge fee types: standard surcharge, Worldpay FeeAssist surcharge.

Request Body Parameters

Parameter NameRequiredTypeDescription/Value
nameyesstringSURCHARGE_FEE
enabledyesbooleantrue
valueyesobjectAn object describing the SURCHARGE_FEE
value.valueyesintegerThe value of the surcharge as a percentage (if style=percentage), or minor units (if style=flat)
value.styleyesstringenums: PERCENTAGE, FLAT, EXTERNAL
value.descriptionnostringThe description of the fee that will appear to the Shopper during checkout
value.credentialTypeconditionalstringConditionally required to be set to payment, if value.style = EXTERNAL

Request Body Example

{
  "name": "SURCHARGE_FEE",
  "enabled": true,
  "value": {
    "value": 3, //PERCENTAGE: 3% FLAT: $0.03
    "style": "PERCENTAGE", // PERCENTAGE OR FLAT
    "description": "Surcharge"
  }
}
{
  "name": "SURCHARGE_FEE",
  "enabled": true,
  "value": {
    "credentialType": "payment",
    "style": "EXTERNAL", 
    "description": "Surcharge"
  }
}

Response Body Parameters

Parameter NameTypeDescription
enabledbooleanThe current status of the configuration
namestringThe Name of the Configuration
valueobjectAn object of values for the SURCHARGE_FEE
typestringThe Type of configuration if applicable
configIdstringThe ID of this configuration
merchantIdstringThe Skipify merchant identifier
createdAtstring, dateTimeThe created date/time for this configuration
Ex: 2024-06-02T21:48:02Z
updatedAtstring, dateTimeThe date/time this configuration was last updated
Ex: 2024-06-02T21:48:02Z

Response Body Example

{
  "enabled": true,
  "name": "SURCHARGE_FEE",
  "value": {
    "style": "PERCENTAGE",
    "value": 3,
    "description": "Surcharge"
  },
  "type": "order",
  "configId": "b0f2c0b-3re4-4798-98e2-4f326b2rdfe8",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:24:11.328Z",
  "updatedAt": "2024-06-10T20:24:11.328Z"
}
{
  "enabled": true,
  "name": "SURCHARGE_FEE",
  "value": {
    "style": "EXTERNAL",
    "description": "Surcharge",
		"credentialType": "payment"
  },
  "type": "order",
  "configId": "b0f2c0b-3re4-4798-98e2-4f326b2rdfe8",
  "merchantId": "215b9068-96d1-45c8-ba95-614edf1abd3b",
  "createdAt": "2024-06-10T20:24:11.328Z",
  "updatedAt": "2024-06-10T20:24:11.328Z"
}


Did this page help you?